package com.cku.dao;

import org.apache.ibatis.annotations.Param;

import com.cku.model.CkuShowsBaoMing;
import com.cku.model.CkuShowsBaoMingWithBLOBs;

public interface CkuShowsBaoMingMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(CkuShowsBaoMingWithBLOBs record);

    /**
     * 已改
     * @Description：赛事表报名表生成未支付报名信息
     * @author: zhuoHeng
     * @version: 2016年4月19日 下午4:33:07
     */
    int insertSelective(CkuShowsBaoMing record);

    CkuShowsBaoMingWithBLOBs selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(CkuShowsBaoMingWithBLOBs record);

    int updateByPrimaryKeyWithBLOBs(CkuShowsBaoMingWithBLOBs record);

    int updateByPrimaryKey(CkuShowsBaoMing record);

    /**
     * 已改
     * @Description：判断类型是否为犬只参赛 是则查询报名表里的信息
     * @author: zhuoHeng
     * @version: 2016年9月12日 下午6:18:16
     */
	CkuShowsBaoMing getCkuDagId(@Param("runningNumber")String runningNumber,@Param("pedigreeCertified")String pedigreeCertified);
	
	/**
	 * 已改
	 * @Description：取消订单删除报名信息
	 * @author: zhuoHeng
	 * @version: 2016年4月21日 下午1:11:32
	 */
	int deleteByOrderId(@Param("userId") String userId,@Param("orderId") String orderId);
	
	/**
	 * 已改
	 * @Description：支付赛事报名费用更改报名表支付状态
	 * @author: zhuoHeng
	 * @version: 2016年9月13日 下午3:44:16
	 */
	int updateShowBaomingPayOut(@Param("orderId") String orderId);
}